package org.dvb.application.storage;



import java.util.*;



/**

 * <p>

 * The <code>ExtendedAppAttributes</code> interface provides

 * additional attributes that are useful when application 

 * can be stored in the MHP terminal.</p>

 * <p>AppAttributes objects that are returned from the 

 * AppsDatabase shall implement this interface

 *

 * @since   MHP1.1

 */

public interface ExtendedAppAttributes {



    /** Returns the optional version number currently signalled for 

      * this application. e.g. in the AIT. If this is not

      * available, -1 shall be returned.

      *

      * @return the version number signalled for this application.

      * @since MHP1.1

      */

    public int getCurrentVersionNumber();





}

